﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;

namespace QsfSplitterSample
{
    public partial class Form1 : Form
    {
        internal const int settingsPanelWidth = 200;
        private const int settingsPanelExpandedWidth = settingsPanelWidth;
        private const int settingsPanelCollapsedWidth = 11;
        private bool settingsPanelExpanded = false;

        public Form1()
        {
            InitializeComponent();

            ThemeResolutionService.RegisterThemeFromStorage(ThemeStorageType.Resource,
           "QsfSplitterSample.SplitterBreeze.xml");

            this.qsfSplitter1.Click += new System.EventHandler(this.toggleSettingsSplitter_Click);
        }

        private void toggleSettingsSplitter_Click(object sender, EventArgs e)
        {
            if (settingsPanelExpanded)
            {
                CollapseSettingsPanel();
            }
            else
            {
                ExpandSettingsPanel();
            }
        }

        private void CollapseSettingsPanel()
        {
            this.radSplitContainer1.SplitterDistance = this.radSplitContainer1.Width - settingsPanelCollapsedWidth;
            this.qsfSplitter1.SplitterArrowDirection = Telerik.WinControls.ArrowDirection.Left;
            settingsPanelExpanded = false;
        }


        private void ExpandSettingsPanel()
        {
            this.radSplitContainer1.SplitterDistance = this.radSplitContainer1.Width - settingsPanelExpandedWidth;
            this.qsfSplitter1.SplitterArrowDirection = Telerik.WinControls.ArrowDirection.Right;
            settingsPanelExpanded = true;
        }
    }
}
